chipcor(1)

NAME
chipcor - Feature Correlation Tool for ChIP-seq data analysis

SYNOPSIS
chipcor [ options ] -A <ref feature> -B <tar feature> -b <from> -e <to> -w <window> [ < ] [ SGA file ]

DESCRIPTION
chipcor reads a ChIP-seq data file (or from stdin [<]) in SGA format (<SGA file>), and generates histograms showing the positional relationship of two features, a reference feature (<feature A>) and a target feature (<feature B>) respectively.

Launching chipcor without any arguments will print the options list, along with their default values.

The feature specification must have the following format:

<feature> = <name> [<+|->]

The strand specification (+|-) being optional.

The <feature> parameter is a name that corresponds to the second field of the SGA file. If no feature is given then all input tags are processed.

The SGA input file MUST BE sorted by sequence name (or chromosome id), position, and strand. One should check the input SGA file with the following command:

sort -s -c -k1,1 -k3,3n -k4,4 <SGA file>

OPTIONS

-A <ref feature>
    The feature that is taken as a reference for correlating chIP-seq tag distances.

    This parameter is mandatory.

-B <tar feature>
    Tags corresponding to the target feature are positionally correlated to tags corresponding to the reference feature.

    This parameter is mandatory.

-b <from>
    The relative distance between the two features is analysed within a given range: <from> indicates the beginning.

-e <to>
    The relative distance between the two features is analysed within a given range: <to> indicates the end.

-c <cut-off>
    A value can be optionally specified as a cut-off for the input tag counts.

    This parameter is optional. Its default value is 1.

-d  Show debug info. The program performs the sorting order check of the input data file.

-h  Show the usage message.

-w  It indicates the histogram step size (in bp).

-n <norm>
    Histogram normalization.

    norm = 0 - Raw counts - Histogram bin entries display the product between reference and target counts at the corresponding relative distance

    norm = 1 - Count density - Histograms entries are normalized by the total number of reference counts and the window width. The measurement is therefore a target count density (per length unit and reference count unit)

    norm = 2 - Global Normalization - Histograms entries are normalized by the total number of reference and target counts and the window width. The curve should approach one for large correlation distances (or weak correlation).

    The default value is 0.

-o  Oriented strand option. Requiring oriented strand processing means reverting the chromosome axis when the reference feature is on the - strand.

SEE ALSO
chipextract(1), chipcenter(1), chippeak(1) chippart(1) chipscore(1)